/*
 *
 * global.h      Global defines for linuxrc
 *
 * Copyright (c) 1996-1998  Hubert Mantel, S.u.S.E. GmbH  (mantel@suse.de)
 *
 */


#include <netinet/in.h>

#ifndef TRUE
#define TRUE               1
#endif
#ifndef FALSE
#define FALSE              0
#endif

#define YES                1
#define NO                 0
#define ESCAPE          (-1)

#define MAX_X            150
#define MAX_Y             50

#define BUTTON_SIZE        9
#define MAX_PARAM_LEN    256
#define STATUS_SIZE       50

#define BOOTMODE_FLOPPY    0
#define BOOTMODE_CD        1
#define BOOTMODE_NET       2
#define BOOTMODE_HARDDISK  3
#define BOOTMODE_FTP       4

#define LANG_UNDEF         0
#define LANG_GERMAN        1
#define LANG_ENGLISH       2
#define LANG_ITALIAN       3
#define LANG_FRENCH        4

#define RAMDISK_2  "/dev/ram2"

#define MAX_FILENAME     300

typedef struct {
               char c;
               char attr;
               }
        character_t;

typedef struct {
               int           x_left;
               int           y_left;
               int           x_right;
               int           y_right;
               int           head;
               int           foot;
               char          bg_color;
               char          fg_color;
               char          style;
               char          shadow;
               char          save_bg;
               character_t **save_area;
               }
        window_t;

typedef struct {
               window_t  win;
               char      text [BUTTON_SIZE];
               }
        button_t;

typedef struct {
               int       has_colors;
               char      bg;
               char      msg_win;
               char      msg_fg;
               char      choice_win;
               char      choice_fg;
               char      menu_win;
               char      menu_fg;
               char      button_bg;
               char      button_fg;
               char      input_win;
               char      input_bg;
               char      input_fg;
               char      error_win;
               char      error_fg;
               }
        colorset_t;

typedef struct {
               char  *text;
               int  (*func) (int);
               }
        item_t;

extern int             max_x_ig;
extern int             max_y_ig;
extern int             language_ig;
extern colorset_t     *colors_prg;
extern struct in_addr  ipaddr_rg;
extern struct in_addr  netmask_rg;
extern struct in_addr  broadcast_rg;
extern struct in_addr  gateway_rg;
extern struct in_addr  network_rg;
extern struct in_addr  ftp_server_rg;
extern struct in_addr  nfs_server_rg;
extern struct in_addr  plip_host_rg;
extern struct in_addr  nameserver_rg;
extern char            server_dir_tg [MAX_FILENAME];
extern char            rootimage_tg [MAX_FILENAME];
extern char           *mountpoint_tg;
extern char           *inst_mountpoint_tg;
extern char           *kernellog_tg;
extern char           *lastlog_tg;
extern char            installdir_tg [MAX_FILENAME];
extern char            harddisk_tg [12];
extern char           *fstype_tg;
extern char            scsi_tg [20];
extern char            net_tg [20];
extern char            netdevice_tg [20];
extern char            cdrom_tg [20];
extern char            keymap_tg [30];
extern int             bootmode_ig;
extern int             pcmcia_chip_ig;
extern int             bogomips_ig;
extern int             memory_ig;
extern int             cpu_ig;
extern int             force_ri_ig;
extern int             ramdisk_ig;
extern int             explode_win_ig;
extern int             auto_ig;
extern int             demo_ig;
extern int             color_ig;
extern int             nfsport_ig;
extern char            machine_name_tg [100];
extern char            domain_name_tg [100];
extern int             old_kernel_ig;
extern int             bootp_wait_ig;
extern int             testing_ig;
extern int             passwd_mode_ig;
extern char            ftp_user_tg [20];
extern char            ftp_password_tg [20];
extern char            ftp_proxy_tg [50];
extern int             ftp_proxyport_ig;
extern char            floppy_tg [10];
extern char            ppcd_tg [10];
